function onBegin()
	
	disableMovement()
	if not (getFlag("Ch4_EXXENIAKEY02")) then
		makeUnskippable()
	end
	disableRetry()
	
	say("KtA_CTSB_Backstage04")

end

function onEnd(room, wasSkipped)
	enableMovement()
	setFlag("scare",true)
end